## net.i2p.router
Class DummyCommSystemFacade

    java.lang.Object
      net.i2p.router.CommSystemFacade
          net.i2p.router.DummyCommSystemFacade

All Implemented Interfaces:
  Service

class DummyCommSystemFacade
extends CommSystemFacade

Field Summary

Fields inherited from class net.i2p.router.CommSystemFacade
`STATUS_DIFFERENT, STATUS_OK, STATUS_REJECT_UNSOLICITED, STATUS_UNKNOWN`

Constructor Summary
`(package private)` `DummyCommSystemFacade()`

Method Summary
`void` `processMessage(OutNetMessage msg)`
`void` `restart()` Perform a soft restart.
`void` `shutdown()` Instruct the service that the router is shutting down and that it should do whatever is necessary to go down gracefully.
`void` `startup()` Instruct the service that it should start normal operation.

Methods inherited from class net.i2p.router.CommSystemFacade
`countActivePeers, createAddresses, getMostRecentErrorMessages, getReachabilityStatus, recheckReachability, renderStatusHTML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyCommSystemFacade

    DummyCommSystemFacade()

Method Detail

### shutdown

    public void shutdown()

  Description copied from interface: `Service`
  Instruct the service that the router is shutting down and that it should do whatever is necessary to go down gracefully. It should not depend on other components at this point. This call DOES block.

### startup

    public void startup()

  Description copied from interface: `Service`
  Instruct the service that it should start normal operation. This call DOES block until the service is ready.

### restart

    public void restart()

  Description copied from interface: `Service`
  Perform a soft restart.

### processMessage

    public void processMessage(OutNetMessage msg)

  Specified by:
    `processMessage` in class `CommSystemFacade`